/* BASIC RESETS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* GENERAL STYLES */
body {
  min-height: 100vh;
  font-family: sans-serif;
}

.main-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 1.2rem;
}

h1 {
  color: #333;
  margin-bottom: 20px;
  font-size: 2rem;
}

.board {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 400px;
}

.list {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  min-height: 400px;
  padding: 1rem;
  border-radius: 0.25rem;
  margin-bottom: 1rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
  background-color: rgb(199, 195, 195);
}

h2 {
  margin: 1rem;
  color: #333;
  font-size: 1.5rem;
}

.todo-list {
  background-color: rgb(245, 199, 199);
}

.progress-list {
  background-color: rgb(248, 248, 159);
}

.done-list {
  background-color: rgb(185, 231, 185);
}

.over {
  background-color: rgb(215, 215, 215);
}

.card {
  background-color: white;
  color: #333;
  width: 100%;
  margin-bottom: 10px;
  padding: 0.75rem;
  border-radius: 0.25rem;
  cursor: grab;
  transition: transform 0.2s;
  text-align: center;
}

.card:active {
  cursor: grabbing;
  transform: scale(1.05);
}

@media screen and (min-width: 768px) {
  .board {
    flex-direction: row;
    gap: 1rem;
    max-width: 1000px;
  }
}

/* 2 hours 1 min */
